pqxx::plpgsql_too_many_rows Class Reference
Exception classes

`#include <except.hxx>`

Inheritance diagram for pqxx::plpgsql_too_many_rows:

## Public Member Functions

| plpgsql_too_many_rows (const std::string &err)
| plpgsql_too_many_rows (const std::string &err, const std::string &Q)
Public Member Functions inherited from pqxx::plpgsql_error
| plpgsql_error (const std::string &err)
| plpgsql_error (const std::string &err, const std::string &Q)
Public Member Functions inherited from pqxx::sql_error
| sql_error ()
| sql_error (const std::string &)
| sql_error (const std::string &, const std::string &Q)
virtual | ~sql_error () throw ()
const std::string &PQXX_PURE | query () const throw ()
| The query whose execution triggered the exception. More...
Public Member Functions inherited from pqxx::failure
| failure (const std::string &)
Public Member Functions inherited from pqxx::pqxx_exception
virtual | ~pqxx_exception ()=0 throw ()
| Support run-time polymorphism, and keep this class abstract. More...

## Constructor & Destructor Documentation

## plpgsql_too_many_rows() [1/2]

pqxx::plpgsql_too_many_rows::plpgsql_too_many_rows | ( | const std::string & | err | ) |

explicit

## plpgsql_too_many_rows() [2/2]

pqxx::plpgsql_too_many_rows::plpgsql_too_many_rows | ( | const std::string & | err,
|  | const std::string & | Q
| ) |  |

The documentation for this class was generated from the following file:

- except.hxx